import tkinter as tk
from tkinter import filedialog
from googletrans import Translator, LANGUAGES

class FileTranslator:

    def __init__(self, root):
        self.translator = Translator()
        self.root = root
        self.root.title("File Translator")
        self.root.geometry('400x200')

        self.input_files = []
        self.output_folder = ''

        self.select_input_button = tk.Button(root, text="Select Input Files", command=self.select_input_files)
        self.select_input_button.pack()

        self.select_output_button = tk.Button(root, text="Select Output Folder", command=self.select_output_folder)
        self.select_output_button.pack()

        self.translate_button = tk.Button(root, text="Translate", command=self.translate)
        self.translate_button.pack()

    def select_input_files(self):
        self.input_files = filedialog.askopenfilenames(defaultextension=".txt", filetypes=[("Text Files", "*.txt")])

    def select_output_folder(self):
        self.output_folder = filedialog.askdirectory()

    def translate(self):
        for input_file in self.input_files:
            with open(input_file, 'r', encoding='utf-8') as src_file:
                src_text = src_file.read()

            translation = self.translator.translate(src_text, src='en', dest='lo')

            output_file = f"{self.output_folder}/{input_file.split('/')[-1]}"
            with open(output_file, 'w', encoding='utf-8') as target_file:
                target_file.write(translation.text)

if __name__ == "__main__":
    root = tk.Tk()
    translator = FileTranslator(root)
    root.mainloop()